#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	
	ofBackground(0,0,0);
	
	ofSetCircleResolution(100);

}

//--------------------------------------------------------------
void testApp::update(){
	
	
	

}

//--------------------------------------------------------------
void testApp::draw(){
	
	float xorig = ofGetWidth()/2;
	float yorig = ofGetHeight()/2;
	
	// affects shape 
	float sinOfTimeMapped = ofMap(sin(ofGetElapsedTimef()), -1, 1, 0, 200);
	
	// affects bg
	float sinOfTimeMapped2 = ofMap(sin(ofGetElapsedTimef()), -1, 1, 0, 180);
	
	ofBackground(255, 50+sinOfTimeMapped2, 50+sinOfTimeMapped2);
	
	// shape path
	float radius = 20+sinOfTimeMapped;
	float angle = ofGetElapsedTimef()*50;
	
	float x = xorig + radius * cos(angle);
	float y = yorig + radius * -sin(angle);
	
	ofSetRectMode(OF_RECTMODE_CENTER);
	ofSetColor(255,255,255);
	//ofRect(x,y,30,30);
	ofCircle(x, y, radius/2);
	

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

